IRC Logs for #crux Saturday, 2018-11-24

*** saptech has joined #crux00:08
saptechhi all00:13
*** TheCephalopod has joined #crux00:14
saptechI believe I didn't have --install-scripts set in my prt-get config file, so yesterdau I ran this command to try and fix it, "prt-get update --pre-install --post-install `prt-get listinst`".00:15
saptechAfter it ran a few pkgs didn't build completely so I'm trying to fix those and continue with the post, pre-install command00:16
saptechmy question is do I run the same command again or do I run something different like add the -fr option?00:16
joacim it is generally ok to rerun install scripts00:17
frinnstif its not the port is broken00:17
joacimwould probably be easier to rerun that00:17
saptechok00:19
saptechthanks00:19
Romster--install-scrips does both pre and post. also setting "runscripts yes" will do the same as command line --install-scripts00:20
Romsteryou do not need to force rebuild -fr, just an update/depinst of them affected ports00:21
saptechok, thanks00:21
Romsterprt-get update `prt-get quickdep foo` should help for anything stubborn00:23
*** workodera_ has joined #crux00:34
*** pedja has quit IRC00:34
saptechhere is one of my issues, I think the name in line 4 could be the cause.00:50
saptechhttps://bpaste.net/show/63db6c8d40a800:50
Romstersaptech, most likely missing libaio, prt-get deptree lvm201:32
Romsternew dependencies, renamed dependencies, some removed dependencies, you should take a look over the commit log/mailing list01:33
Romsterprt-get depinst lvm201:33
saptechyes that's it01:34
Romsterif you use prt-get install lvm2 it'll not pull in dependencies01:34
saptechI want the dependencies?01:36
Romsteryes in most cases unless you are doing something out of the ordinary01:37
saptechok01:40
saptechafter running the --install pre & post scripts command, I have around 10 failed to update01:42
saptechdo I need to go through them one at a time, most or footprint mismatch01:42
saptechare*01:42
saptechat least half are01:43
Romsterah set PKGMK_IGNORE_NEW="yes", but as a packager i prefer to set "makecommand nice -n 10 ionice -c2 -n6 pkgmk -in" in prt-get.conf01:44
Romsteror if you want to just use pkgmk -in on the command line, or just pkgadd the built package it's still built just pkgmk spits out an error. but the package is still built and archived01:45
Romsteri'll bbl01:46
saptechwhich one is best01:47
joacimmost go with PKGMK_IGNORE_NEW="yes" i assume01:57
joacimit works ok01:57
saptechthat is what I chose01:59
saptechbut when I type set at prompt it is listed as this, "_=PKGMK_IGNORE_NEW=yes". that's not right?02:00
joacimwhat02:00
saptechwithout the quotes02:00
joacimit goes in /etc/prg-get.conf02:01
saptechlol...ok02:01
joacimit is already there, just swap the no to yes, and you might have to uncomment02:01
saptechok02:01
saptechI do not have PKGMK_IGNORE_NEW= in my prt-get.conf02:07
joacimpkgmk.conf02:07
joacimsorry02:07
saptechnp02:08
saptechlooks like Mate is working as normal02:10
*** abenz has joined #crux02:17
saptechRomster, trying to download compton pkg, but get this error, https://bpaste.net/show/d8478150bff703:06
*** tilman_ has joined #crux03:23
*** __mavrick61 has joined #crux03:40
ryuoRomster: seems the URL changed, and the old source is no longer availabe. Version bump is now 1.4.10 and url is: https://hyperrealm.com/packages/libconfig-1.4.10.tar.gz04:02
*** Workster has quit IRC04:16
*** saptech has quit IRC04:58
*** saptech has joined #crux05:08
jaegerdlcusa: are you about? your httpup repo seems to be having some issues06:07
*** slek has joined #crux08:26
*** elderK has quit IRC09:09
*** slek has quit IRC10:00
*** slek has joined #crux10:24
*** onodera has joined #crux10:27
*** onodera has quit IRC10:32
*** frinnst has joined #crux10:53
*** frinnst has quit IRC10:53
*** frinnst has joined #crux10:53
*** stratact has quit IRC11:08
*** stratact has joined #crux11:13
*** pedja has joined #crux13:00
saptechjaeger, Mate is running smooth as it should. Thanks all for the help13:41
cruxbot[opt.git/3.4]: dovecot: update to 2.3.414:03
cruxbot[opt.git/3.4]: gvim: update to 8.1.054315:03
cruxbot[core.git/3.4]: vim: update to 8.1.054315:03
*** elderK has joined #crux15:32
*** slek has quit IRC16:09
*** darfo has joined #crux17:32
pedjaoh, oom killah, it's been a while since your last visit17:55
jaegersaptech: good deal :)18:02
*** onodera has joined #crux19:51
*** slek has joined #crux20:16
*** slek has quit IRC22:36
*** onodera has quit IRC23:56

Generated by irclog2html.py 2.14.0 by Marius Gedminas - find it at mg.pov.lt!